Index: gfanlib/gfanlib_symmetriccomplex.cpp
===================================================================
--- gfanlib/gfanlib_symmetriccomplex.cpp	(revision f80a5305e1e0960855d4bd8702e48d1c2bbf8710)
+++ gfanlib/gfanlib_symmetriccomplex.cpp	(revision 32d8cb4d146c3b9e5d73001109ccb7837d4aae69)
@@ -15,7 +15,7 @@
 
 SymmetricComplex::Cone::Cone(std::set<int> const &indices_, int dimension_, Integer multiplicity_, bool sortWithSymmetry, SymmetricComplex const &complex):
+  isKnownToBeNonMaximalFlag(false),
   dimension(dimension_),
   multiplicity(multiplicity_),
-  isKnownToBeNonMaximalFlag(false),
   sortKeyPermutation(complex.n)
 {
@@ -27,5 +27,5 @@
   ZMatrix const &vertices=complex.getVertices();
   ZVector sum(vertices.getWidth());
-  for(int i=0;i<indices.size();i++)
+  for(unsigned i=0;i<indices.size();i++)
     sum+=vertices[indices[i]];
 
@@ -56,5 +56,5 @@
   ZMatrix const &vertices=complex.getVertices();
   ZVector sum(vertices.getWidth());
-  for(int i=0;i<indices.size();i++)
+  for(unsigned i=0;i<indices.size();i++)
     sum+=vertices[indices[i]];
 
@@ -62,9 +62,9 @@
   Permutation const &bestPermutation=sortKeyPermutation;
 
-  assert(bestPermutation.size()==n);
+  assert((int)bestPermutation.size()==n);
 
   IntVector indicesNew(indices.size());
   int I=0;
-  for(int i=0;i<indices.size();i++,I++)
+  for(unsigned i=0;i<indices.size();i++,I++)
     {
       ZVector ny=bestPermutation.apply(complex.vertices[indices[i]]);
@@ -80,5 +80,5 @@
 {
   std::set<int> ret;
-  for(int i=0;i<indices.size();i++)
+  for(unsigned i=0;i<indices.size();i++)
     ret.insert(indices[i]);
 
@@ -89,9 +89,9 @@
 {
   int next=0;
-  for(int i=0;i<indices.size();i++)
+  for(unsigned i=0;i<indices.size();i++)
     {
       while(1)
         {
-          if(next>=c.indices.size())return false;
+          if(next>=(int)c.indices.size())return false;
           if(indices[i]==c.indices[next])break;
           next++;
@@ -105,5 +105,5 @@
 {
   std::set<int> r;
-  for(int i=0;i<indices.size();i++)
+  for(unsigned i=0;i<indices.size();i++)
     {
       ZVector ny=permutation.apply(complex.vertices[indices[i]]);
@@ -139,5 +139,5 @@
 {
   ZMatrix l;
-  for(int i=0;i<indices.size();i++)
+  for(unsigned i=0;i<indices.size();i++)
     l.appendRow(complex.vertices[indices[i]]);
 
@@ -150,7 +150,7 @@
 SymmetricComplex::SymmetricComplex(ZMatrix const &rays, ZMatrix const &linealitySpace_, SymmetryGroup const &sym_):
   n(rays.getWidth()),
+  linealitySpace(canonicalizeSubspace(linealitySpace_)),
   sym(sym_),
-  dimension(-1),
-  linealitySpace(canonicalizeSubspace(linealitySpace_))
+  dimension(-1)
 {
   assert(rays.getWidth()==linealitySpace.getWidth());
@@ -222,5 +222,5 @@
 }
 
-/*
+#if 0
 IntVector SymmetricComplex::dimensionsAtInfinity()const
 {
@@ -228,5 +228,4 @@
      dimension of the intersection of each cone in the complex with
      the plane x_0=0 */
-/*
   IntVector ret(cones.size());
 
@@ -247,5 +246,5 @@
   return ret;
 }
-*/
+#endif
 
 void SymmetricComplex::buildConeLists(bool onlyMaximal, bool compressed, std::vector<std::vector<IntVector > >*conelist/*, ZMatrix *multiplicities*/)const
@@ -259,19 +258,19 @@
       int numberOfOrbitsOutput=0;
       int numberOfOrbitsOfThisDimension=0;
-      bool newDimension=true;
+      // bool newDimension=true;
         {
           int I=0;
           for(ConeContainer::const_iterator i=cones.begin();i!=cones.end();i++,I++)
-                  if(i->dimension==d)
-                    {
-                  numberOfOrbitsOfThisDimension++;
+            if(i->dimension==d)
+            {
+              numberOfOrbitsOfThisDimension++;
               if(!onlyMaximal || isMaximal(*i))
                 {
                   numberOfOrbitsOutput++;
-                  bool isMax=isMaximal(*i);
-                  bool newOrbit=true;
+                  // bool isMax=isMaximal(*i);
+                  // bool newOrbit=true;
                   std::set<std::set<int> > temp;
-                    for(SymmetryGroup::ElementContainer::const_iterator k=sym.elements.begin();k!=sym.elements.end();k++)
-                      {
+                  for(SymmetryGroup::ElementContainer::const_iterator k=sym.elements.begin();k!=sym.elements.end();k++)
+                    {
                         Cone temp1=i->permuted(*k,*this,false);
                         temp.insert(temp1.indexSet());
@@ -291,15 +290,15 @@
                           *multiplicities << std::endl;
                         }*/
-                      newOrbit=false;
-                      newDimension=false;
+                      // newOrbit=false;
+                      // newDimension=false;
                     }
-              }
-                    }
-        }
-    }
-
-}
-
-std::string SymmetricComplex::toStringJustCones(int dimLow, int dimHigh, bool onlyMaximal, bool group, std::ostream *multiplicities, bool compressed, bool tPlaneSort)const
+                }
+            }
+        }
+    }
+
+}
+
+std::string SymmetricComplex::toStringJustCones(int dimLow, int dimHigh, bool onlyMaximal, bool group, std::ostream *multiplicities, bool compressed, bool /*tPlaneSort*/)const
 {
   std::stringstream ret;
@@ -392,5 +391,5 @@
         {
           bool isBounded=true;
-          for(int j=0;j<i->indices.size();j++)
+          for(unsigned j=0;j<i->indices.size();j++)
             if(vertices[i->indices[j]][0].sign()==0)isBounded=false;
           doAdd=isBounded;
@@ -692,5 +691,5 @@
   {
     ZMatrix generators(indices.size(),getAmbientDimension());
-    for(int i=0;i<indices.size();i++)
+    for(unsigned i=0;i<indices.size();i++)
       generators[i]=vertices[indices[i]];
     return ZCone::givenByRays(generators,linealitySpace);
